# getTransactionHashes

### Input

| Argument        | Mandatory | Description                                    | Format |
| --------------- | --------- | ---------------------------------------------- | ------ |
| addresses       | no        | List of addresses to query transactions        | array  |
| blockHash       | no        | Block hash of the first block                  | string |
| firstBlockIndex | no        | Block index of the first block                 | uint32 |
| blockCount      | yes       | Number of blocks to query                      | uint32 |
| paymentId       | no        | Payment ID to filter the returned transactions | string |

### Output

| Argument | Description    | Format |
| -------- | -------------- | ------ |
| items    | List of blocks | array  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/gettransactionhashes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
